Subject: Re : Re: [EDUC] Critique "subtile" du libre
From: [email-masked]
To: "J. Fernando Lagrange" <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Dec 2013 22:46:43 +0100 (CET)
List-Id: <educ.april.org>

----- J. Fernando Lagrange <[email-masked]> a écrit :
> Bonjour,
> 
> Le 13/12/2013 09:36, Odile Bénassy a écrit :
> > Bonjour
> > 
> > À la faveur d'un contact professionnel, je tombe sur 
> > 
> > 	http://nrt.revues.org/1070
> > 
> > Sans en avoir trop l'air, ceci est une critique en règle du libre comme arme de guerre d'un nouveau capitalisme.
> > 
> > Pourrions-nous essayer d'y répondre ? Il pose des questions intéressantes, mine de rien.
> > […]
> 
> Je salue l'initiative: je pense aussi que l'article pose des questions intéressantes.
> Je ne sais pas si cela vaut l'effort d'une réponse commune unique, mais le débat lancé ici me semble d'une grande richesse.
> 
> 
> Personnellement, j'ai été particulièrement embarrassé en lisant les paragraphes 48 
> et 49, surtout « Dans le cas présent, la notoriété des développeurs est constamment 
> remise en question. Si un développeur ne contribue pas ou peu, il peut être remis 
> en cause à tout moment, indépendamment de ce qu’il a pu faire auparavant. ».

1/ Certains groupes comme l'Internationale situationniste fonctionnaient
sur ce principe... Ce n'est donc pas propre à ce que l'auteur qualifie
de développeur

2/ L'une des principales critiques que l'on peut faire à cet article,
comme la plupart des écrits de sociologie c'est le raisonnement
par induction qui consiste à s'appuyer sur quelques exemples pour en tirer
une vérité générale, ce qui ne retire rien aux exemples cités, suffisants
pour nous interpeler.
L'auteur ne dit rien de son présupposé de départ ni de l'hypothèse qu'il
avait en tête. Il ne circonscrit pas son étude à une/des localités
et pratique un raisonnement par amalgames.
Lorsque l'April a sorti son livre blanc sur les modèles économiques
du Libre qui correspondait à une enquête approfondie, des fondateurs
d'entreprises de ma région m'ont dit qu'ils ne se reconnaissaient
pas. Preuve s'il en est que les modèles dont variés.
En ce sens, rien n'autorise l'auteur de cette étude à généraliser.
La phrase que tu cites n'est donc qu'une vérité partielle, pas une
vérité générale. 

J'ai vu à la télé récemment un reportage de terrain sur la ville
de Bangalore en Inde. On y voyait de très jeunes ingénieurs pisser du code
12 heures par jour pour des entreprises de sous-traitance...
L'une des personnes interviewées avec le logo Ubuntu collé sur 
son portable. 
On y développe beaucoup de logiciels "open source". Il te suffit de
taper sur gogole les occurrences Bangalore et "open source" voire
"logiciel libre".
Bangalore est la capitale de l'informatique et du suicide en Inde.

Le reportage montrait le turnover des salariés de ce nouvel eldorado
technologique, tous très jeunes. Le stresse aussi des personnes
interviewées qui disaient que tout va très vite et que l'on
peut en un temps record devenir obsolète.

En ce sens, l'auteur de l'article vise juste. Il pose un problème
et il a raison.

Ca ne nous fait pas plaisir.

Certes.

Mais nous devons également voir cette réalité en face. Ca s'appelle
le capitalisme.

Mais son regard c'est celui d'un "expert" externe. Il n'est pas
"membre" des groupes sociaux qu'il décrit et donc fonctionne par
amalgames. 

> Je pense que c'est une réalité malheureuse et que la contribution 
> peut passer autrement que par du code et/ou de la technique, ce qui 
> n'est pas souvent/suffisamment reconnu dans le libre, àmha.

En ce sens, Louis-Maurice, même si j'ai aimé lire les commentaires
de David, a eu entièrement raison de se référer à Stallman et d'opposer
le mouvement pour le logiciel libre à l'open source. 
Et Fred Coucher co-fondateur de l'April écrivait il y a quatorze ans :
"En effet, ne vanter que les mérites techniques des logiciels libres en négligeant 
leur philosophie conduit à une impasse".
http://www.april.org/articles/divers/linux-loader-2.html

On ne peut donc pas dire que l'April a prioritisé le code ou 
la technique.

Pour autant, je pense que la différence fondamentale entre Michael Vicente
et un développeur, c'est que Michael Vicente reste un sociologue.
Et c'est là toute la différence entre celui qui fait et celui qui
discourt sur celui qui fait.

Et je sais de quoi je parle puisque je ne suis pas un informaticien.

Cela étant dit, Michael Vicente dans son étude oublie un évènement
fondamental. Dans toutes les grosses boîtes informatiques le pouvoir
n'appartient pas aux informaticiens mais aux technico-commerciaux,
y compris sur le plan des salaires et des chances de promotion.
Il aurait pu s'inspirer des analyses de Jean-Pierre Berlan sur
les luttes de classes qui opposèrent les semenciers aux fermiers.
On a entre les managers et les informaticiens quelque chose de
comparable. Et Vicente ne voit pas, dans de nombreuses PMI du Libre,
ni dans les coopératives ouvrières comme Easter-eggs ou le réseau
Libre entreprises l'émergence de nouveaux rapports de production.

> Le métier de développeur est très lié au code, mais le travail 
> dans le numérique et le Logiciel Libre

Qu'appelles-tu numérique ?

> ne se limite pas aux contributions de code (le fameux « Ce serait 
> peut-être l'une des plus grandes opportunités manquées de notre époque 
> si le logiciel libre ne libérait rien d'autre que du code », d'après 
> <http://fr.wikipedia.org/wiki/Nom_de_code_:_Linux>).
> 
> Je crois qu'il est difficile de prendre en compte les expériences et 
> le travail technique fait auparavant plutôt que de faire « à sa manière »
>  (et pas uniquement dans le LL). Mais j'ai l'impression que dans le LL, 
> cette remise en question par le code, seulement le code est constante 
> et peut devenir d'une dureté impitoyable.

Ce que tu dis s'applique davantage à l'open source qu'au mouvement
pour le logiciel libre.

> Sur ce point, l'avis du groupe de travail m'intéresse. L'auteur traduit-il 
> une réalité qui peut être généralisée ?

NON ! Même si je trouve l'article de Vicente salutaire en ce qu'il ouvre
une critique. Il doit donc accepter à son tour que son article soit
critiqué.

Peut-on mettre sur le même plan IBM et des communautés comme OOo4Kids ?

C'est d'actualité, puisque Vicente parle de "piratage" et qu'un gros
débat anime la liste de cette communauté de bénévoles à propos 
de l'annonce d'un logiciel concurrent issu de Libre Office. 

Cela aurait été intéressant que Vicente interviewe Eric Bachard
et il aurait vu que la réalité est bien plus complexe que sa
réduction théorique.

Librement,
Charlie
--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ